<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Cart_Action {

	public function __construct() {
		$options = new WIP_Options_Manager();
		if ( $options->get_option( 'pre-invoice' ) ) {
			add_action( 'woocommerce_after_cart_totals', [ $this, 'pre_invoice_button' ] );
		}
	}

	public function pre_invoice_button() {
		$options = new WIP_Options_Manager();
		$page_id = $options->get_option( 'pre-invoice-page' );

		echo '<a href="' . get_permalink( $page_id ) . '" class="button pre-invoice" target="_blank" rel="nofollow">' . __( 'Pre invoice', 'wip' ) . '</a>';
	}
}