<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Page_Template {

	public function __construct() {
		add_filter( 'theme_page_templates', [ $this, 'add_template_to_select' ], 10, 4 );
		add_filter( 'template_include', [ $this, 'load_template' ] );
	}

	public function add_template_to_select( $post_templates, $wp_theme, $post, $post_type ) {
		$post_templates['pre-invoice.php'] = __( 'Pre invoice', 'wip' );

		return $post_templates;
	}

	public function load_template( $template ) {
		if ( get_page_template_slug() === 'pre-invoice.php' ) {
			if ( $theme_file = locate_template( array( 'pre-invoice.php' ) ) ) {
				$template = $theme_file;
			} else {
				$template = WIP_TPL_PATH . 'pre-invoice.php';
			}
		}

		return $template;
	}
}