<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

class WIP_Fanap extends WIP_SMS {

    public function send() {
        try {
            $soapClientObj = new SoapClient("https://sms.fanap.plus/Post/Send.asmx?wsdl");
            $parameters['username'] = $this->username;
            $parameters['password'] = $this->password;
            $parameters['from'] = $this->from;
            $parameters['to'] = array($this->to);
            $parameters['text'] = $this->message;
            $parameters['isflash'] = false;
            $parameters['udh'] = "";
            $parameters['recId'] = array(0);
            $parameters['status'] = array(0);
            return $soapClientObj->SendSms($parameters);
            // retval :
            // InvalidUserPass = 0
            // Successfull = 1
            // NoCredit = 2
            // DailyLimit = 3
            // SendLimit = 4
            // InvalidNumber = 5

            // Status :
            // Sent = 0
            // Failed = 1
        } catch (SoapFault $fault) {
            return $fault;
        }
    }
}