<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Sabanovin extends WIP_SMS {

	public function send() {
		try {
			$api = new \SabaNovin\SabaNovinApi( $this->username );
			$gateway = $this->from;
			$text = $this->message;
			$to = array( $this->to );
			$result = $api->Send( $gateway, $to, $text );
			if ( $result->entries ) {
				/*foreach($result->entries as $entry) {
					echo "reference_id = $entry->reference_id";
					echo "status   = $entry->status";
					echo "mobile   = $entry->mobile";
					echo "datetime = $entry->datetime";
				}*/
			}
			return $result;
		} catch ( \SabaNovin\Exceptions\ApiException $e ) {
			return $e->errorMessage();
		}
	}
}