<?php
defined('ABSPATH') || exit(__('No Access!', 'wip'));

add_filter('post_class', 'wip_admin_post_class');
function wip_admin_post_class($classes) {
    global $post;

    if (WIP_Helper::check_receiving($post->ID) && is_admin() && isset($_GET['post_type']) && $_GET['post_type'] == 'shop_order') {
        $classes[] = 'wip-receiving-invoice';
    }

    return $classes;
}

if (isset($_GET['action']) && $_GET['action'] == 'wip-print') {
    add_filter('woocommerce_hidden_order_itemmeta', 'wip_hidden_order_itemmeta');
    function wip_hidden_order_itemmeta($data) {
        $options = new WIP_Options_Manager();
        $hidden = $options->get_option('hidden-line-items');

        if ($hidden) {
            $hidden = explode(',', $hidden);
            foreach ($hidden as $item) {
                array_push($data, $item);
            }
        }

        return $data;
    }
}