<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );

class WIP_Farapayamak extends WIP_SMS {

	public function send() {
		ini_set( "soap.wsdl_cache_enabled", "0" );
		try {
			$client = new SoapClient( 'http://api.payamak-panel.com/post/send.asmx?wsdl', array( 'encoding' => 'UTF-8' ) );

			$parameters['username'] = $this->username;
			$parameters['password'] = $this->password;
			$parameters['from']     = $this->from;
			$parameters['to']       = array( $this->to );
			$parameters['text']     = $this->message;
			$parameters['isflash']  = false;
			$parameters['udh']      = "";
			$parameters['recId']    = array( 0 );
			$parameters['status']   = 0x0;
            $status = $client->SendSms( $parameters )->SendSmsResult;
			return $status;
		} catch ( SoapFault $ex ) {
			return $ex->faultstring;
		}
	}
}