<?php
defined( 'ABSPATH' ) || exit( __( 'No Access!', 'wip' ) );;

class WIP_Isms extends WIP_SMS {

	public function send() {
		try {
			$client = new SoapClient(
				"http://panel.isms.ir/IsmsWebService.wsdl",
				array(
					'trace'              => true,
					'exceptions'         => true,
					'compression'        => SOAP_COMPRESSION_ACCEPT,
					'connection_timeout' => 120,
					'cache_wsdl'         => WSDL_CACHE_NONE,
				)
			);

			$result = $client->SendSms( array(
					'username'    => $this->username,
					'password'    => $this->password,
					'destination' => array( $this->to ),
					'content'     => array( $this->message ),
					'sender'      => $this->from,
				)
			);

			return $result;
		} catch ( Exception $e ) {
			return "Error: " . $e->getMessage() . PHP_EOL;
		}
	}
}