<?php
defined( 'ABSPATH' ) || exit( 'No Access!' );

class WIP_Niksms extends WIP_SMS {

	public function send() {
		$response = false;

		$param = array(
			'username'     => $this->username,
			'password'     => $this->password,
			'message'      => $this->message,
			'numbers'      => implode( ',', [ $this->to ] ),
			'senderNumber' => $this->from,
			'sendOn'       => date( 'yyyy/MM/dd-hh:mm' ),
			'sendType'     => 1,
		);

		$handler = curl_init( "http://niksms.com/fa/PublicApi/GroupSms" );
		curl_setopt( $handler, CURLOPT_CUSTOMREQUEST, "POST" );
		curl_setopt( $handler, CURLOPT_POSTFIELDS, $param );
		curl_setopt( $handler, CURLOPT_RETURNTRANSFER, true );
		$_response = curl_exec( $handler );
		curl_close( $handler );

		$_response = json_decode( $_response );
		$_response = ! empty( $_response->Status ) ? $_response->Status : 2;

		if ( $_response === 1 || strtolower( $_response ) == 'successful' ) {
			return $response = true;
		} else {
			$response = $_response;
		}

		return $response;
	}
}